commit b67efb62cfd1d12e1c979729983777ab6e3fa58b
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Dec 1 00:26:11 2024 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index fd179292ccd..8b81eb36155 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20241130
+20241201
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index c1731fc8bb0..0b7acbf75f2 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,13 @@
+2024-11-30  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-11-13  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/105054
+	* resolve.cc (get_temp_from_expr): If the pointer function has
+	a deferred character length, generate a new deferred charlen
+	for the temporary.
+
 2024-11-27  Paul Thomas  <pault@gcc.gnu.org>
 
 	Backported from master:
diff --git a/gcc/m2/ChangeLog b/gcc/m2/ChangeLog
index 5f16df4ad88..ff88ed6dd87 100644
--- a/gcc/m2/ChangeLog
+++ b/gcc/m2/ChangeLog
@@ -1,3 +1,14 @@
+2024-11-30  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	Backported from master:
+	2024-09-16  Gaius Mulley  <gaiusmod2@gmail.com>
+
+	* Make-lang.in (GM2_BOOT_INCLUDES): New variable.
+	(m2/gm2-compiler-boot/M2GCCDeclare.o): Rewrite to use
+	GM2_BOOT_INCLUDES.
+	(m2/gm2-compiler-boot/M2Error.o): Ditto.
+	(m2/gm2-compiler-boot/%.o): Ditto.
+
 2024-11-29  Gaius Mulley  <gaiusmod2@gmail.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 57d79f426e1..f85bea2a901 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2024-11-30  Paul Thomas  <pault@gcc.gnu.org>
+
+	Backported from master:
+	2024-11-13  Paul Thomas  <pault@gcc.gnu.org>
+
+	PR fortran/105054
+	* gfortran.dg/ptr_func_assign_6.f08: New test.
+
 2024-11-29  Richard Biener  <rguenther@suse.de>
 
 	Backported from master:

